<!--<div class="modal-header bgCard">
    <h3 class="modal-title" id="showHealthLabel">
    </h3>
	     <label class="form-control-label textH12">FORM PENGAJUAN SERTIFIKAT HALAL</label>
    <button aria-label="Close" data-dismiss="modal" class="close" type="button" (click)="dismiss()"><span aria-hidden="true">&times;</span>
    </button>
</div>-->

<div class="modal-body bgCard" [formGroup]="editForm">
	<div>
		<label class="form-control-label textH12">FORM PENGAJUAN SERTIFIKAT HALAL</label>
	</div>
	<div class="card">
		<div class="card-body">
			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
	            	   <label class="form-control-label" for="field_keterangan">Provinsi</label> <label class="mandatory">*</label>
	                   <select class="form-control form-control-element textc" id="field_remarks" name="provinsis" formControlName="prov" (change)="onChange($event.target.value)">
	                        <option *ngFor="let provinsi of provinsis" [value]="provinsi.id">{{provinsi.name}}</option>
	                    </select>
	                    <div *ngIf="editForm.get('prov')!.invalid && (editForm.get('prov')!.dirty || editForm.get('prov')!.touched)" >
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('prov')?.errors?.required">
                            Nama provinsi diperlukan.
                        </small>
                    	</div>
			        </div>
				</div>
				<div class="col-md-6">
			        <div class="form-group">
			            <label class="form-control-label" for="field_keterangan">Kabupaten/Kota</label> <label class="mandatory">*</label>
			            <select class="form-control form-control-element textc" id="field_remarks" name="kabupaten" formControlName="kab">
	                        <option *ngFor="let kabupaten of kabupatens" [value]="kabupaten.id">{{kabupaten.name}}</option>
	                    </select>
	                    <div *ngIf="editForm.get('kab')!.invalid && (editForm.get('kab')!.dirty || editForm.get('kab')!.touched)" >
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('kab')?.errors?.required">
                            Nama kabupaten diperlukan.
                        </small>
			        	</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-3">
			        <div class="form-group">
			            <label class="form-control-label" for="field_nama">Nama Pemilik Usaha</label> <label class="mandatory">*</label>
			            <input type="text" class="form-control" name="nama" id="field_nama"
			                   formControlName="nama"/>
			        </div>
                    <div *ngIf="editForm.get('nama')!.invalid && (editForm.get('nama')!.dirty || editForm.get('nama')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('nama')?.errors?.required">
                        Nama nama pemilik usaha diperlukan.
                    </small>
                    </div>
				</div>
				<div class="col-md-3">
					<div class="form-group">
			            <label class="form-control-label" for="field_nik">NIK</label> <label class="mandatory">*</label>
			            <input type="text" class="form-control" name="nik" id="field_nik"
			                   formControlName="nik"/>
			        </div>
                    <div *ngIf="editForm.get('nik')!.invalid && (editForm.get('nik')!.dirty || editForm.get('nik')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('nik')?.errors?.required">
                        NIK pemilik usaha diperlukan.
                    </small>
                    </div>
				</div>
				<div class="col-md-3">
			        <div class="form-group">
			            <label class="form-control-label" for="field_email">Email</label> <label class="mandatory">*</label>
			            <input type="text" class="form-control" name="email" id="field_email"
			                   formControlName="email"/>
			        </div>
                    <div *ngIf="editForm.get('email')!.invalid && (editForm.get('email')!.dirty || editForm.get('email')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('email')?.errors?.required">
                        Email pemilik usaha diperlukan.
                    </small>
                    </div>
				</div>
				<div class="col-md-3">
			        <div class="form-group">
			            <label class="form-control-label" for="field_noHp">No Handphone (WA)</label> <label class="mandatory">*</label>
			            <input type="text" class="form-control" name="noHp" id="field_noHp"
			                   formControlName="noHp"/>
			        </div>
                    <div *ngIf="editForm.get('noHp')!.invalid && (editForm.get('noHp')!.dirty || editForm.get('noHp')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('noHp')?.errors?.required">
                        No hp pemilik usaha diperlukan.
                    </small>
                    </div>
				</div>
			</div>
			
			<div class="row">
				<div class="col-md-12">
			        <div class="form-group">
			            <label class="form-control-label" for="field_alamat">Alamat Pemilik Usaha</label> <label class="mandatory">*</label>
			            <input type="text" class="form-control" name="alamat" id="field_alamat"
			                   formControlName="alamat"/>
			        </div>
                    <div *ngIf="editForm.get('alamat')!.invalid && (editForm.get('alamat')!.dirty || editForm.get('alamat')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('alamat')?.errors?.required">
                        Alamat pemilik usaha diperlukan.
                    </small>
					</div>
				</div>
				<br>
		</div>
	</div>
	</div>
	
	<div class="card">
		<div class="card-body">
			<div class="row">
				<div class="col-md-3">
		            <div class="form-group">
		                <label class="form-control-label" for="field_namaUsaha">Nama Usaha</label> <label class="mandatory">*</label>
		                <input type="text" class="form-control" name="namaUsaha" id="field_namaUsaha"
		                       formControlName="namaUsaha"/>
		            </div>
                    <div *ngIf="editForm.get('namaUsaha')!.invalid && (editForm.get('namaUsaha')!.dirty || editForm.get('namaUsaha')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('namaUsaha')?.errors?.required">
                        Nama usaha diperlukan.
                    </small>
					</div>
				</div>
				<div class="col-md-3">
		            <div class="form-group">
		                <label class="form-control-label" for="field_merkDagang">Merk Dagang</label> <label class="mandatory">*</label>
		                <input type="text" class="form-control" name="merkDagang" id="field_merkDagang"
		                       formControlName="merkDagang"/>
		            </div>
                    <div *ngIf="editForm.get('merkDagang')!.invalid && (editForm.get('merkDagang')!.dirty || editForm.get('merkDagang')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('merkDagang')?.errors?.required">
                        Merk dagang diperlukan.
                    </small>
					</div>
				</div>
				<div class="col-md-3">
		            <div class="form-group">
		                <label class="form-control-label" for="field_keterangan">Daftar Produk</label> <label class="mandatory">*</label>
			            <select class="form-control form-control-element textc" id="field_remarks" name="prod" formControlName="prod">
	                        <option *ngFor="let produk of produks" [value]="produk.id">{{produk.name}}</option>
	                    </select>
		            </div>
                    <div *ngIf="editForm.get('prod')!.invalid && (editForm.get('prod')!.dirty || editForm.get('prod')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('prod')?.errors?.required">
                        Jenis produk usaha diperlukan.
                    </small>
					</div>
				</div>
				<div class="col-md-3">
		            <div class="form-group">
		                <label class="form-control-label" for="field_nib">NIB / Nomor Induk Ber-Usaha</label> <label class="mandatory">*</label>
		                <input type="text" class="form-control" name="nib" id="field_keterangan"
		                       formControlName="nib"/>
		            </div>
                    <div *ngIf="editForm.get('nib')!.invalid && (editForm.get('nib')!.dirty || editForm.get('nib')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('nib')?.errors?.required">
                        NIB pemilik usaha diperlukan.
                    </small>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-10">
		            <div class="form-group">
		                <label class="form-control-label" for="field_alamatUsaha">Alamat Tempat Usaha</label> <label class="mandatory">*</label>
		                <input type="text" class="form-control" name="alamatUsaha" id="field_alamatUsaha"
		                       formControlName="alamatUsaha"/>
		            </div>
                    <div *ngIf="editForm.get('alamatUsaha')!.invalid && (editForm.get('alamatUsaha')!.dirty || editForm.get('alamatUsaha')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('alamatUsaha')?.errors?.required">
                        Alamat tempat usaha diperlukan.
                    </small>
					</div>
				</div>
				<div class="col-md-2">
					<div class="form-group">
		                <label class="form-control-label" for="field_kodepos">Kode Pos</label> <label class="mandatory">*</label>
		                <input type="text" class="form-control" name="kodepos" id="field_kodepos"
		                       formControlName="kodepos"/>
		            </div>
                    <div *ngIf="editForm.get('kodepos')!.invalid && (editForm.get('kodepos')!.dirty || editForm.get('kodepos')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('kodepos')?.errors?.required">
                        Kodepos diperlukan.
                    </small>
					</div>
				</div>
			</div>
			<br>
		</div>
	</div>
	
<!--	<div class="card">
		<div class="card-body">
			<div class="row">
				<div class="col-md-6">
	                <div>
	                    <label class="form-label" for="customFile">Formulir pengajuan diisi lengkap</label> <label class="mandatory">*</label>
						<input type="file" class="form-control" multiple name="formPengajuan" id="field_formPengajuan"
	                           formControlName="formPengajuan" (change)="selectFile( 'formulir', $event)"  accept="image/*"/>
	                </div>
                    <div *ngIf="editForm.get('formPengajuan')!.invalid && (editForm.get('formPengajuan')!.dirty || editForm.get('formPengajuan')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('formPengajuan')?.errors?.required">
                        Formulir pengajuan pemilik usaha diperlukan.
                    </small>
					</div>
				</div>
				<div class="col-md-6">
	                <div>
	                    <label class="form-label" for="customFile">Foto KTP</label> <label class="mandatory">*</label>
						<input type="file" class="form-control" name="ktp" id="field_ktp"
	                           formControlName="ktp" (change)="selectFile('ktp',$event)" accept="image/*"/>
	                </div>
                    <div *ngIf="editForm.get('ktp')!.invalid && (editForm.get('ktp')!.dirty || editForm.get('ktp')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('ktp')?.errors?.required">
                        Foto KTP pemilik usaha diperlukan.
                    </small>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-md-6">
					<div>
	                    <label class="form-label" for="customFile">Foto Fisik Produk</label> <label class="mandatory">*</label>
						<input type="file" class="form-control" name="fotoProduk" id="field_fotoProduk"
	                           formControlName="fotoProduk" (change)="selectFile('fotoProduk',$event)"  accept="image/*"/>
	                </div>
                    <div *ngIf="editForm.get('fotoProduk')!.invalid && (editForm.get('fotoProduk')!.dirty || editForm.get('fotoProduk')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('fotoProduk')?.errors?.required">
                        Foto produk diperlukan.
                    </small>
					</div>
				</div>
				<div class="col-md-6">
	                <div>
	                    <label class="form-label" for="customFile">Foto Bersama Pemilik Usaha</label> <label class="mandatory">*</label>
						<input type="file" class="form-control" name="fotoPemilihUsaha" id="field_fotoPemilihUsaha"
	                           formControlName="fotoPemilihUsaha" (change)="selectFile('fotoPemilihUsaha',$event)"  accept="image/*"/>
	                </div>
                    <div *ngIf="editForm.get('fotoPemilihUsaha')!.invalid && (editForm.get('fotoPemilihUsaha')!.dirty || editForm.get('fotoPemilihUsaha')!.touched)" >
                    <small class="form-text text-danger"
                           *ngIf="editForm.get('fotoPemilihUsaha')?.errors?.required">
                        Foto bersama pemilik usaha diperlukan.
                    </small>
					</div>
				</div>
			</div>
			<br>
		</div>
	</div>-->
</div>

<div class="modal-footer bgCard"> 
    <button mat-raised-button type="button" id="cancel-save" class="btn btn-danger btn-fill"   (click)="dismiss()">
        <i class="material-icons">block</i>&nbsp;<span
	                    jhiTranslate="entity.action.cancel">Cancel</span>
    </button>
    <button mat-raised-button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-success btn-fill" (click)="save()">
         <i class="material-icons">save</i>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
    </button>
</div>
